Summary:    Libraries for Simplified-Traditional Chinese Conversion
Name:       opencc
Version:    1.1.4
Release:    1%{?dist}
License:    Apache-2.0
URL:        https://github.com/BYVoid/OpenCC
Source0:    https://github.com/BYVoid/OpenCC/archive/ver.%{version}.tar.gz#/OpenCC-ver.%{version}.tar.gz
BuildRequires:  gcc-c++, gettext, cmake, doxygen, python3

%description
OpenCC is a library for converting characters and phrases between
Traditional Chinese and Simplified Chinese.

%package doc
Summary:    Documentation for OpenCC
Requires:   %{name} = %{version}-%{release}

%description doc
Doxygen generated documentation for OpenCC.

%package tools
Summary:    Command line tools for OpenCC
Requires:   %{name} = %{version}-%{release}

%description tools
Command line tools for OpenCC, including tools for conversion via CLI and
for building dictionaries.

%package devel
Summary:    Development files for OpenCC
Requires:   %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -n OpenCC-ver.%{version}



%build
%cmake -DENABLE_GETTEXT:BOOL=ON -DBUILD_DOCUMENTATION:BOOL=ON
%cmake_build



%install
%cmake_install



%check
%ctest



%files
%doc AUTHORS LICENSE README.md
%{_libdir}/lib*.so.*
%{_datadir}/opencc/
%exclude %{_datadir}/opencc/doc

%files doc
%{_datadir}/opencc/doc

%files tools
%{_bindir}/*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc



%changelog
* Wed Nov 01 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.1.4-1
- initial
